//go:build amd64 || arm64 || ppc64 || ppc64le || s390x || mips64 || mips64le

package yu_rand

// Int
//
//	@Description: 返回一个非负伪随机 63 位整数
func Int() int {
	return int(Uint64() & (1<<63 - 1))
}

// Intn
//
//	@Description: 函数返回一个在[0,n)范围内的伪随机int值。
func Intn(n int) int {
	if n <= 0 {
		panic("参数无效") // 如果n小于等于0，抛出异常
	}
	return int(Int63n(int64(n))) // 返回Int63n的结果
}
